# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-tw2-forms
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global modname tw2.forms

Name:           python-module-tw2-forms
Version:        2.0.2
Release:        alt1_4
Summary:        Forms for ToscaWidgets2

Group:          Development/Python
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

# For building, generally
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
%if %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  python-webob1.0 >= 0.9.7
%else
BuildRequires:  python-module-webob >= 0.9.7
%endif
BuildRequires:  python-module-tw2-core
BuildRequires:  python-module-PasteDeploy

# Specifically for the test suite
BuildRequires:  python-module-nose
BuildRequires:  python-module-coverage
BuildRequires:  python-module-BeautifulSoup
BuildRequires:  python-module-FormEncode
BuildRequires:  python-module-webtest
BuildRequires:  python-module-strainer

# Templating languages for the test suite
BuildRequires:  python-module-mako
BuildRequires:  python-module-genshi
BuildRequires:  python-module-turbokid
BuildRequires:  python-module-turbocheetah


# Runtime requirements
Requires:       python-module-tw2-core
Source44: import.info

%description
ToscaWidgets is a web widget toolkit for Python to aid in the creation,
packaging and distribution of common view elements normally used in the web.

tw2.forms contains the basic form widgets.

%prep
%setup -q -n %{modname}-%{version}

%if %{?rhel}%{!?rhel:0} >= 6

# Make sure that epel/rhel picks up the correct version of webob
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py

# Remove all the fancy nosetests configuration for older python
rm setup.cfg

%endif

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%files
%doc README.txt LICENSE.txt
%{python_sitelibdir_noarch}/tw2/forms
%{python_sitelibdir_noarch}/%{modname}-%{version}*


%changelog
* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_4
- initial fc import

